diff -Nur wvc54g-EU.orig/SOURCE/build/Make.context wvc54g-EU/SOURCE/build/Make.context
--- wvc54g-EU.orig/SOURCE/build/Make.context	2005-10-14 05:50:50.000000000 +0200
+++ wvc54g-EU/SOURCE/build/Make.context	2006-11-25 12:11:22.000000000 +0100
@@ -131,7 +131,7 @@
 HOLES			= $(TOOL_PREFIX)holes
 
 ifeq ("${SU}","")
-  SU_CMD		= su -c
+  SU_CMD		= su -m -c
 else
-  SU_CMD		= ${SU} sh -c
+  SU_CMD		= ${SU} sh -m -c
 endif
diff -Nur wvc54g-EU.orig/SOURCE/fs/Makefile wvc54g-EU/SOURCE/fs/Makefile
--- wvc54g-EU.orig/SOURCE/fs/Makefile	2004-12-13 10:17:07.000000000 +0100
+++ wvc54g-EU/SOURCE/fs/Makefile	2006-11-25 12:11:22.000000000 +0100
@@ -47,42 +47,42 @@
 	@$(MAKE) -C $(USERLAND_DIR) netconfig
 
 build:
-	@# Make and install the applications in apps/
+	# Make and install the applications in apps/
 	@$(MAKE) -C apps
 	@${SU_CMD} '$(MAKE) -C apps install'
 
-	@# Make and install the userland applications
+	# Make and install the userland applications
 	@$(MAKE) -C userland
 	@${SU_CMD} '$(MAKE) -C userland install'
 
-	@# Copy kernel modules
+	# Copy kernel modules
 	@echo "Copying kernel modules"
 	if [ ! -z "`ls $(FSMODULES_DIR) 2>/dev/null`" ] ; then \
 	cp -Rf $(FSMODULES_DIR)/* $(KERNEL_MODULES)/. ; \
 	fi
 
-	@# Replace /etc/resolv.conf with a link to a
-	@# write-able version under /mnt/ramdisk
+	# Replace /etc/resolv.conf with a link to a
+	# write-able version under /mnt/ramdisk
 	@rm -f ${FSROOT_DIR}/etc/resolv.conf
 	@ln -s /mnt/ramdisk/resolv.conf ${FSROOT_DIR}/etc/resolv.conf
 
-	@# Make symbolic link for etc/system.conf
+	# Make symbolic link for etc/system.conf
 	@ln -sf /mnt/ramdisk/system.conf ${FSROOT_DIR}/etc/system.conf
 
-	@# Make symbolic link for etc/crontab
+	# Make symbolic link for etc/crontab
 	@ln -sf /mnt/ramdisk/crontab ${FSROOT_DIR}/etc/crontab
 
-	@# Stripping all files on FSROOT_DIR
+	# Stripping all files on FSROOT_DIR
 	@${SU_CMD} 'find ${FSROOT_DIR} ! -path "${FSROOT_DIR}/lib/modules/*" ! -path "${FSROOT_DIR}/usr/lib/*" -type f -exec ${STRIP} --strip-all {} \; 2>${LOG}'
 	@${SU_CMD} 'find ${FSROOT_DIR}/lib/modules -type f -exec ${STRIP} --strip-debug {} \; 2>${LOG}'
 
-	@# Setting ownership and permissions
+	# Setting ownership and permissions
 ifeq ($(BSPCONF_HOST),linux)
 	@${SU_CMD} 'chown root:root ${FSROOT_DIR}; find ${FSROOT_DIR} -type d -exec chmod 0777 {} \;'
 endif
 
 checksize:
-	@# Checking to make sure generated filesystem isn't too big...
+	# Checking to make sure generated filesystem isn't too big...
 	@if [ "`du -s ${ROOT_IMAGE} | cut -f1`" -gt "${ROOT_IMAGE_KB}" ]; then \
 		echo "Filesystem too large" && false; \
 	fi
@@ -99,17 +99,17 @@
 
 mkfs:
 ifeq (${BSPCONF_ROOT_FS},romfs)
-	@# Building ROM filesystem
+	# Building ROM filesystem
 	${GENROMFS} -d ${FSROOT_DIR} -f ${ROOT_IMAGE}
 	@chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},cramfs)
-	@# Building CRAM filesystem...
+	# Building CRAM filesystem...
 	${MKCRAMFS} ${FSROOT_DIR} ${ROOT_IMAGE} >${LOG}
 	@chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},jffs)
-	@# Building JFFS filesystem...
+	# Building JFFS filesystem...
 ifeq ($(BSPCONF_HOST),linux)
 	${MKJFFS} -d ${FSROOT_DIR} -a little -e 65536 -o ${ROOT_IMAGE} >${LOG}
 endif
@@ -121,12 +121,12 @@
 	@chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},jffs2)
-	@# Building JFFS2 filesystem...
+	# Building JFFS2 filesystem...
 	${MKJFFS2} -d ${FSROOT_DIR} -l -e ${BSPCONF_FLASH_ERASE_SIZE} -o ${ROOT_IMAGE} >${LOG}
 	@chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},ext2fs)
-	@# Building EXT2 filesystem...
+	# Building EXT2 filesystem...
 	@dd if=/dev/zero of=${ROOT_IMAGE} bs=1024 count=${ROOT_IMAGE_KB} >${LOG}
 	@${MKFSEXT2} -m 0 -O none -F ${ROOT_IMAGE} >${LOG}
 	@${SU_CMD} 'make mount; (cd ${FSROOT_DIR}; find . | cpio -pdum ${ROOT_MNT}); make umount'
@@ -135,13 +135,13 @@
 endif
 
 mount:
-	@# Mounting filesystem ROOT_IMAGE on ROOT_MNT...";
+	# Mounting filesystem ROOT_IMAGE on ROOT_MNT...";
 	@if [ ! -d "${ROOT_MNT}" ]; then \
 		mkdir -p --mode=0777 ${ROOT_MNT}; \
 	fi
 	@${SU_CMD} 'mount -o loop ${ROOT_IMAGE} ${ROOT_MNT}'
 
 umount:
-	@# Unmounting ROOT_MNT
+	# Unmounting ROOT_MNT
 	@${SU_CMD} 'umount ${ROOT_MNT}'
 
diff -Nur wvc54g-EU.orig/SOURCE/fs/Makefile.dm270 wvc54g-EU/SOURCE/fs/Makefile.dm270
--- wvc54g-EU.orig/SOURCE/fs/Makefile.dm270	2004-12-13 10:17:07.000000000 +0100
+++ wvc54g-EU/SOURCE/fs/Makefile.dm270	2006-11-25 12:11:38.000000000 +0100
@@ -106,9 +106,9 @@
 	@echo "mknod audio	     c  71   0" >> $(MKNOD_LIST)
 
 base_fs:
-	@# Removing filesystem at FSROOT_DIR
+	# Removing filesystem at FSROOT_DIR
 	@rm -rf ${FSROOT_DIR}
-	@# Creating new root filesystem at RSROOT_DIR
+	# Creating new root filesystem at RSROOT_DIR
 	@mkdir --mode=0777 ${FSROOT_DIR}
 	@for dir in ${BASE_DIRS}; do \
 		mkdir --mode=0777 ${FSROOT_DIR}/$$dir; \
@@ -121,51 +121,51 @@
 		mkdir --mode=0777 ${FSROOT_DIR}/$$dir; \
 	done
 
-	@# Creating symbolic links to device files...
+	# Creating symbolic links to device files...
 
 	@ln -sf fb0 ${FSROOT_DIR}/dev/fb
 	@ln -sf hdc ${FSROOT_DIR}/dev/cdrom
 	@ln -sf ram0 ${FSROOT_DIR}/dev/ramdisk
 
-	@# Creating required files...
+	# Creating required files...
 	@touch ${FSROOT_DIR}/var/log/wtmp
 	@touch ${FSROOT_DIR}/var/run/utmp
 
-	@# Redirect syslog to null
+	# Redirect syslog to null
 	@ln -sf /dev/null ${FSROOT_DIR}/var/log/syslog
 
-	@# Installing the XFLAT dynamic loader
+	# Installing the XFLAT dynamic loader
 	@install -D --mode=755 ${TOOL_LIBDIR}/ld-xflat.so.1 \
 	${FSROOT_DIR}/lib/ld-xflat.so.1 
 	@ln -sf ld-xflat.so.1 ${FSROOT_DIR}/lib/ld-xflat.so
 
-	@# Installing shared libc...
+	# Installing shared libc...
 	@install -D --mode=755 ${TOOL_LIBDIR}/libc-xflat.so.1 \
 	${FSROOT_DIR}/lib/libc-xflat.so.1
 	@ln -sf libc-xflat.so.1 ${FSROOT_DIR}/lib/libc-xflat.so
 
-	@# Installing shared libpthread
+	# Installing shared libpthread
 	@install -D --mode=755 ${TOOL_LIBDIR}/libpthread-xflat.so.1 \
 	${FSROOT_DIR}/lib/libpthread-xflat.so.1
 	@ln -sf libpthread-xflat.so.1 ${FSROOT_DIR}/lib/libpthread-xflat.so
 
-	@# Installing the XFLAT loader
+	# Installing the XFLAT loader
 	@install -D --mode=755 ${TOOL_LIBDIR}/binfmt_xflat.o \
 	${FSROOT_DIR}/${KERNEL_MODULES}/binfmt_xflat.o
 
-	@# Installing gdbserver
-	@#install -D --mode=755 ${TOOL_ARCHBINDIR}/gdbserver \
+	# Installing gdbserver
+	#install -D --mode=755 ${TOOL_ARCHBINDIR}/gdbserver \
 	#${FSROOT_DIR}/usr/bin/gdbserver
-	@#install -D --mode=755 ${TOOL_ARCHBINDIR}/gdbreplay \
+	#install -D --mode=755 ${TOOL_ARCHBINDIR}/gdbreplay \
 	#${FSROOT_DIR}/usr/bin/gdbreplay
 
-	@## Installing RPMs...
-	@#for i in ${RPMS}; do \
-	@#	rpm --root ${FSROOT_DIR} -iv ${RPM_OPTS} rpm/$${i}.${RPM_ARCH}.rpm; \
-	@#done
-	@#rm -rf $(FSROOT_DIR)/usr/{doc,man,sbin/itox,share} ${FSROOT_DIR}/var/lib
+	## Installing RPMs...
+	#for i in ${RPMS}; do \
+	#	rpm --root ${FSROOT_DIR} -iv ${RPM_OPTS} rpm/$${i}.${RPM_ARCH}.rpm; \
+	#done
+	#rm -rf $(FSROOT_DIR)/usr/{doc,man,sbin/itox,share} ${FSROOT_DIR}/var/lib
 
-	@# Setting ownership and permissions...
+	# Setting ownership and permissions...
 ifeq ($(BSPCONF_HOST),linux)
 	@chown    root:root ${FSROOT_DIR}
 endif
@@ -179,29 +179,29 @@
 	@exit -1
 
 ramdisk.linux: mknod
-	@# Creating device nodes
+	# Creating device nodes
 	chmod +x $(MKNOD_LIST) 
 	(cd ${FSROOT_DIR}/dev; $(MKNOD_LIST))
 	rm -f $(MKNOD_LIST) 
 
-	@# Creating RAM disk...
+	# Creating RAM disk...
 	@if [ ! -d "${ROOT_MNT}" ]; then \
 		mkdir -p --mode=0777 ${ROOT_MNT}; \
 	fi
 
-	@dd if=/dev/zero of=$(RAMDISK_IMAGE) bs=1024 count=256 >${LOG}
+	@dd if=/dev/zero of=$(RAMDISK_IMAGE) bs=1024 count=1024 >${LOG}
 	@/sbin/mkfs.minix $(RAMDISK_IMAGE) >${LOG}
 	@mount -o loop $(RAMDISK_IMAGE) ${ROOT_MNT}
 	@(cd ${FSROOT_DIR}/init; find . | cpio -pdum ${ROOT_MNT})
 
-	@# Put default resolv.conf to the ramdisk image so that
-	@# DHCP (if run by the system) can overwrite this 
-	@# file with discovered network specifics.
+	# Put default resolv.conf to the ramdisk image so that
+	# DHCP (if run by the system) can overwrite this 
+	# file with discovered network specifics.
 	@if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/resolv.conf ${ROOT_MNT}/resolv.conf; \
 	fi
 
-	@# Put default crontab to the ramdisk image
+	# Put default crontab to the ramdisk image
 	@if [ -f ${FSSCRIPTS_DIR}/etc/crontab ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/crontab ${ROOT_MNT}/crontab; \
 	fi
@@ -210,20 +210,20 @@
 	@/sbin/fsck.minix $(RAMDISK_IMAGE)
 	@$(HOLES) $(RAMDISK_IMAGE) >${FSROOT_DIR}/$(RAMDISK_IMAGE)
 
-	@# Fixing links RAM disk...
+	# Fixing links RAM disk...
 	@for dir in ${BASE_LNKS}; do \
  		ln -sf mnt/ramdisk/$$dir ${FSROOT_DIR}; \
 	done
 	@rm -rf ${FSROOT_DIR}/init
 
 ramdisk.cygwin:
-	@# Put default resolv.conf to file system so boot up script
-	@# (/etc/rc) can copy it to dynamically built ramdisk
+	# Put default resolv.conf to file system so boot up script
+	# (/etc/rc) can copy it to dynamically built ramdisk
 	@if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/resolv.conf ${FSROOT_DIR}/etc/resolv.conf.orig; \
 	fi
 
-	@# Fixing links RAM disk...
+	# Fixing links RAM disk...
 	@for dir in ${BASE_LNKS}; do \
 		ln -sf mnt/ramdisk/$$dir ${FSROOT_DIR}; \
 	done
diff -Nur wvc54g-EU.orig/SOURCE/linux/arch/armnommu/Makefile wvc54g-EU/SOURCE/linux/arch/armnommu/Makefile
--- wvc54g-EU.orig/SOURCE/linux/arch/armnommu/Makefile	2004-04-16 09:33:25.000000000 +0200
+++ wvc54g-EU/SOURCE/linux/arch/armnommu/Makefile	2006-11-25 12:11:22.000000000 +0100
@@ -325,29 +325,19 @@
 
 arch/armnommu/vmlinux.lds: arch/armnommu/vmlinux-$(PROCESSOR).lds.in dummy
 ifeq ($(CONFIG_ARCH_DSC21),y)
-	@sed 's/TEXTADDR/$(TEXTADDR)/;\
-	      s/DATAADDR/$(DATAADDR)/;\
-	      s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
+	@sed 's/TEXTADDR/$(TEXTADDR)/;s/DATAADDR/$(DATAADDR)/;s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
 else
 ifeq ($(CONFIG_ARCH_DSC24),y)
-	@sed 's/TEXTADDR/$(TEXTADDR)/;\
-	      s/DATAADDR/$(DATAADDR)/;\
-	      s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
+	@sed 's/TEXTADDR/$(TEXTADDR)/;s/DATAADDR/$(DATAADDR)/;s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
 else
 ifeq ($(CONFIG_ARCH_DSC25),y)
-	@sed 's/TEXTADDR/$(TEXTADDR)/;\
-	      s/DATAADDR/$(DATAADDR)/;\
-	      s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
+	@sed 's/TEXTADDR/$(TEXTADDR)/;s/DATAADDR/$(DATAADDR)/;s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
 else
 ifeq ($(CONFIG_ARCH_DM270),y)
-	@sed 's/TEXTADDR/$(TEXTADDR)/;\
-	      s/DATAADDR/$(DATAADDR)/;\
-	      s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
+	@sed 's/TEXTADDR/$(TEXTADDR)/;s/DATAADDR/$(DATAADDR)/;s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
 else
 ifeq ($(CONFIG_ARCH_C5471),y)
-	@sed 's/TEXTADDR/$(TEXTADDR)/;\
-	      s/DATAADDR/$(DATAADDR)/;\
-	      s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
+	@sed 's/TEXTADDR/$(TEXTADDR)/;s/DATAADDR/$(DATAADDR)/;s/IRAMBASE/$(BSPCONF_IRAM_BASE)/' <$< >$@
 else
 	@sed 's/TEXTADDR/$(TEXTADDR)/' <$< >$@	
 endif
diff -Nur wvc54g-EU.orig/SOURCE/Makefile wvc54g-EU/SOURCE/Makefile
--- wvc54g-EU.orig/SOURCE/Makefile	2004-09-13 07:27:30.000000000 +0200
+++ wvc54g-EU/SOURCE/Makefile	2006-11-25 12:11:22.000000000 +0100
@@ -11,6 +11,10 @@
 include $(TOPDIR)/Make.defs
 
 all: rrload linux cadenux kmods fs
+	cp -uv linux/linux.stripped.binary FW/kernel
+	cp -uv fs/fs.img FW/filesystem
+	cp -uv ../loader/rrload/rrload.stripped.binary FW/loader
+	(cd FW;./combine-image)
 
 .PHONY: linux fs rrload cadenux clean bspconfig check_env
 
